## kde-style-skulpture 0.2.0

=== CMakeLists.txt ===
project (skulpture)
cmake_minimum_required (VERSION 2.4)

find_package (KDE4)

add_definitions (-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_KEYWORDS -DQT_STRICT_ITERATORS -DQT_NO_DYNAMIC_CAST)

configure_file (config.h.cmake ${CMAKE_BINARY_DIR}/config.h)

if (KDE4_FOUND)
    include (KDE4Defaults)
    include (MacroLibrary)
    add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
    include_directories (${KDE4_INCLUDES} ${CMAKE_BINARY_DIR})
    message (STATUS "Looking for kwinglobals.h")
    find_file (KWINGLOBALS_H kwinglobals.h ${KDE4_INCLUDES})
    if (KWINGLOBALS_H)
        message (STATUS "Looking for kwinglobals.h - found")
        set (BUILD_KWIN_CLIENT ON)
    else (KWINGLOBALS_H)
        message (STATUS "Looking for kwinglobals.h - not found.")
    endif (KWINGLOBALS_H)
else (KDE4_FOUND)
    set (QT_MIN_VERSION "4.1.0")
    find_package (Qt4 REQUIRED)
    include (UseQt4)
    set (CMAKE_INCLUDE_CURRENT_DIR ON)
    include_directories (${CMAKE_BINARY_DIR})
endif (KDE4_FOUND)

add_subdirectory (src)

if (KDE4_FOUND)
    add_subdirectory (color-schemes)
    if (BUILD_KWIN_CLIENT)
        add_subdirectory (kwin-client)
    else (BUILD_KWIN_CLIENT)
        message ("WARNING: *** KWin headers not found, building without Skulpture window decoration ***")
    endif (BUILD_KWIN_CLIENT)
else (KDE4_FOUND)
    message ("WARNING: *** KDE4 not found, building a Qt-only version of Skulpture ***")
endif (KDE4_FOUND)

=== kwin-client/CMakeLists.txt ===
project (kwin-skulpture)

set (kwin_skulpture_SOURCES kwin_skulpture.cpp)
kde4_add_plugin (kwin3_skulpture ${kwin_skulpture_SOURCES})
target_link_libraries (kwin3_skulpture ${KDE4_KDEUI_LIBS} kdecorations)
install (TARGETS kwin3_skulpture DESTINATION ${PLUGIN_INSTALL_DIR})
install (FILES skulpture.desktop DESTINATION ${DATA_INSTALL_DIR}/kwin)

add_subdirectory (config)

=== kwin-client/config/CMakeLists.txt ===
set (kwin_skulpture_config_SOURCES kwin_skulpture_config.cpp)
kde4_add_plugin (kwin_skulpture_config ${kwin_skulpture_config_SOURCES})
target_link_libraries (kwin_skulpture_config ${KDE4_KDEUI_LIBS})
install (TARGETS kwin_skulpture_config DESTINATION ${PLUGIN_INSTALL_DIR})

=== src/config/CMakeLists.txt ===
set (kstyle_skulpture_config_SOURCES sk_config.cpp)
qt4_add_resources (kstyle_skulpture_config_SOURCES sk_preview2.qrc)
kde4_add_ui_files (kstyle_skulpture_config_SOURCES sk_dialog.ui sk_preview1.ui sk_preview2.ui)

kde4_add_plugin (kstyle_skulpture_config ${kstyle_skulpture_config_SOURCES})
target_link_libraries (kstyle_skulpture_config ${KDE4_KDEUI_LIBS})
install (TARGETS kstyle_skulpture_config DESTINATION ${PLUGIN_INSTALL_DIR})

## kde-style-skulpture 0.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,14 +12,22 @@
     include (MacroLibrary)
     add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
     include_directories (${KDE4_INCLUDES} ${CMAKE_BINARY_DIR})
-    message (STATUS "Looking for kwinglobals.h")
-    find_file (KWINGLOBALS_H kwinglobals.h ${KDE4_INCLUDES})
-    if (KWINGLOBALS_H)
-        message (STATUS "Looking for kwinglobals.h - found")
+#    find_package (KDE4Workspace QUIET)
+    set (KDE4WORKSPACE_FOUND OFF)
+    if (KDE4WORKSPACE_FOUND)
+        message (STATUS "Found KDE4Workspace")
+        include_directories (${KDE4WORKSPACE_INCLUDE_DIR})
         set (BUILD_KWIN_CLIENT ON)
-    else (KWINGLOBALS_H)
-        message (STATUS "Looking for kwinglobals.h - not found.")
-    endif (KWINGLOBALS_H)
+    else (KDE4WORKSPACE_FOUND)
+        message (STATUS "Looking for kwinglobals.h")
+        find_file (KWINGLOBALS_H kwinglobals.h ${KDE4_INCLUDES})
+        if (KWINGLOBALS_H)
+            message (STATUS "Looking for kwinglobals.h - found")
+            set (BUILD_KWIN_CLIENT ON)
+        else (KWINGLOBALS_H)
+            message (STATUS "Looking for kwinglobals.h - not found.")
+        endif (KWINGLOBALS_H)
+    endif (KDE4WORKSPACE_FOUND)
 else (KDE4_FOUND)
     set (QT_MIN_VERSION "4.1.0")
     find_package (Qt4 REQUIRED)
@@ -31,7 +39,8 @@
 add_subdirectory (src)
 
 if (KDE4_FOUND)
-    add_subdirectory (color-schemes)
+    macro_optional_add_subdirectory (color-schemes)
+    macro_optional_add_subdirectory (desktoptheme)
     if (BUILD_KWIN_CLIENT)
         add_subdirectory (kwin-client)
     else (BUILD_KWIN_CLIENT)

=== color-schemes/CMakeLists.txt ===
file (GLOB skulpture_COLORSCHEMES *.colors)
install (FILES ${skulpture_COLORSCHEMES} DESTINATION ${DATA_INSTALL_DIR}/color-schemes)

=== kwin-client/CMakeLists.txt ===
project (kwin-skulpture)

set (kwin_skulpture_SOURCES kwin_skulpture.cpp)
kde4_add_plugin (kwin3_skulpture ${kwin_skulpture_SOURCES})
if (KDE4WORKSPACE_FOUND)
    target_link_libraries (kwin3_skulpture ${KDE4_KDEUI_LIBS} ${KDE4WORKSPACE_KDECORATIONS_LIBS})
else (KDE4WORKSPACE_FOUND)
    target_link_libraries (kwin3_skulpture ${KDE4_KDEUI_LIBS} kdecorations)
endif (KDE4WORKSPACE_FOUND)
install (TARGETS kwin3_skulpture DESTINATION ${PLUGIN_INSTALL_DIR})
install (FILES skulpture.desktop DESTINATION ${DATA_INSTALL_DIR}/kwin)

add_subdirectory (config)

=== src/CMakeLists.txt ===
project (kstyle-skulpture)

set (skulpture_SOURCES skulpture.cpp)

#if (KDE4_FOUND)
#	kde4_add_plugin (skulpture ${skulpture_SOURCES})
#	target_link_libraries (skulpture ${KDE4_KDEUI_LIBS})
#	install (TARGETS skulpture DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/styles)
#else (KDE4_FOUND)
	qt4_automoc (${skulpture_SOURCES})
	add_library (skulpture SHARED ${skulpture_SOURCES})
	target_link_libraries (skulpture ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})
	install (TARGETS skulpture LIBRARY DESTINATION ${QT_PLUGINS_DIR}/styles)
#endif (KDE4_FOUND)

if (KDE4_FOUND)
	install (FILES skulpture.themerc DESTINATION ${DATA_INSTALL_DIR}/kstyle/themes)
	add_subdirectory (config)
endif (KDE4_FOUND)

=== kwin-client/config/CMakeLists.txt ===
set (kwin_skulpture_config_SOURCES kwin_skulpture_config.cpp)
kde4_add_ui_files(kwin_skulpture_config_SOURCES kwin_skulpture_dialog.ui)

kde4_add_plugin (kwin_skulpture_config ${kwin_skulpture_config_SOURCES})
target_link_libraries (kwin_skulpture_config ${KDE4_KDEUI_LIBS})
install (TARGETS kwin_skulpture_config DESTINATION ${PLUGIN_INSTALL_DIR})

=== src/config/CMakeLists.txt ===
set (kstyle_skulpture_config_SOURCES sk_config.cpp)
kde4_add_ui_files (kstyle_skulpture_config_SOURCES sk_dialog.ui sk_preview1.ui sk_preview2.ui)

kde4_add_plugin (kstyle_skulpture_config ${kstyle_skulpture_config_SOURCES})
target_link_libraries (kstyle_skulpture_config ${KDE4_KDEUI_LIBS})
install (FILES skulpture.png DESTINATION ${DATA_INSTALL_DIR}/skulpture/pics)
install( FILES skulptureui.rc DESTINATION ${DATA_INSTALL_DIR}/skulpture)
install (TARGETS kstyle_skulpture_config DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
kde-style-skulpture (0.2.4-0ubuntu3) quantal; urgency=low

  * No-change rebuild against libkdecorations4abi1.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 10 Jun 2012 00:38:02 +0200

kde-style-skulpture (0.2.4-0ubuntu2) oneiric; urgency=low

  * Adjust install patch in debian/kde-style-skulpture.install for multi-arch
    (LP: #831210 )

 -- Scott Kitterman <scott@kitterman.com>  Thu, 15 Sep 2011 13:17:08 -0400

kde-style-skulpture (0.2.4-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Update kde-style-skulpture.install
  * Switch to source format 3.0 (quilt):
    - Bump debhelper build-depend versino to 7.3.16 or higher
  * Switch from cdbs to pkg-kde-tools' dh7 kde sequence:
    - Remove build-depend on cdbs
    - Bump build-depend version on pkg-kde-tools to 0.5.0 or higher
  * Bump Standards-Version to 3.9.1
  * Improve the long description of kde-style-skulpture

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 29 Dec 2010 11:24:50 -0500

kde-style-skulpture (0.2.3-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Update copyrite, all files GPL-3

 -- Steve Stalcup <vorian@ubuntu.com>  Sat, 13 Jun 2009 23:21:59 -0400

kde-style-skulpture (0.2.2-0ubuntu1) jaunty; urgency=low

  * New upstream release
    - Update kde-style-skulpture.install, add:
      + usr/share/kde4/apps/skulpture/pics/skulpture.png
      + usr/share/kde4/apps/skulpture/skulptureui.rc
  * Add ${misc:Depends} for kwin-style-skulpture

 -- Steve Stalcup <vorian@ubuntu.com>  Sun, 25 Jan 2009 18:13:07 -0500

kde-style-skulpture (0.2.0-1) experimental; urgency=low

  * Initial release (Closes: #507067)

 -- Richard A. Johnson <nixternal@kubuntu.org>  Fri, 28 Nov 2008 00:32:26 -0600

=== debian/control ===
Source: kde-style-skulpture
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Richard A. Johnson <nixternal@kubuntu.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), 
 cmake (>= 2.6.2), kdebase-workspace-dev (>= 4:4.1.3)
Standards-Version: 3.9.1
Homepage: http://skulpture.maxiom.de

Package: kde-style-skulpture
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kwin-style-skulpture
Description: Widget style for Qt4 and KDE 4
 Skulpture is a window decoration and widget style for Qt4 and KDE 4 that
 features classical, three-dimensional artwork, along with other features not
 found in other styles.
 .
 This package contains the Qt4 and KDE widget style of Skulpture. The
 corresponding KWin window decorations are packaged separately in
 kwin-style-skulpture.

Package: kwin-style-skulpture
Architecture: any
Depends: ${shlibs:Depends}, kde-style-skulpture, ${misc:Depends}
Description: Window decoration for KDE
 Skulpture is a window decoration and widget style for Qt4 and KDE 4 that 
 features classical, three-dimensional artwork, along with other features not 
 found in other styles.
 .
 This package contains the KDE 4 window decoration and color themes of
 Skulpture which allows customization via the KDE 4 System Settings. The
 corresponding Qt4 and KDE 4 widget style is packaged separately in
 kde-style-skulpture.
